Last Comment Bug 853328 - product/component searching should also search the product's description.
: product/component searching should also search the product's description.
Status: RESOLVED FIXED
:
Product: bugzilla.mozilla.org
Classification: Other
Component: Extensions: ProdCompSearch (show other bugs)
: Production
: x86_64 Linux
: -- normal (vote)
: ---
Assigned To: David Lawrence [:dkl]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-20 23:29 PDT by Kan-Ru Chen [:kanru] (UTC+8)
Modified: 2013-03-21 06:59 PDT (History)
5 users (show)
See Also:
Due Date:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Kan-Ru Chen [:kanru] (UTC+8) 2013-03-20 23:29:27 PDT
B2G will find

* Boot2Gecko :: General
* Boot2Gecko :: Hardware

Boot2Gecko will find

* Boot2Gecko :: Builds
* Boot2Gecko :: Gaia and all other gaia components
Comment 1 Byron Jones ‹:glob› [PTO until 2016-10-10] 2013-03-20 23:33:46 PDT
the search code looks at the product name, component name, and component description.
searching for Boot2Gecko returns all components in the Boot2Gecko product.
searching for b2g only returns 'general' and 'hardware' because those are the only two with b2g in their description.

what is the problem you're reporting?
can you provide what you expect it to do?
Comment 2 Kan-Ru Chen [:kanru] (UTC+8) 2013-03-21 02:55:28 PDT
I'd expect that searching for Boot2Gecko or b2g returns all components.

Currently General and Hardware are not in the search result. I thought there are also in the Boot2Gecko product. And from the components list I found that Vendcom and Wifi do not appear in the search results either.
Comment 3 Byron Jones ‹:glob› [PTO until 2016-10-10] 2013-03-21 06:29:19 PDT
sounds like searching the product's description would be the best way to do this.
Comment 4 David Lawrence [:dkl] 2013-03-21 06:59:44 PDT
Done

Committing to: bzr+ssh://dlawrence%40mozilla.com@bzr.mozilla.org/bmo/4.2             
modified extensions/ProdCompSearch/lib/WebService.pm
Committed revision 8679.

Note You need to log in before you can comment on or make changes to this bug.